.TH wxLayoutAlgorithm 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxLayoutAlgorithm \- See external documentation: wxLayoutAlgorithm\&.
.SH DESCRIPTION
.LP
See external documentation: wxLayoutAlgorithm <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlayoutalgorithm\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxLayoutAlgorithm()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxLayoutAlgorithm()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlayoutalgorithm\&.html#wxlayoutalgorithmwxlayoutalgorithm>\&.
.RE
.LP
.B
layoutFrame(This::wxLayoutAlgorithm(), Frame::wxFrame() (see module wxFrame)) -> bool()
.br
.RS
.LP
Equivalent to layoutFrame(This, Frame, [])\&.
.RE
.LP
.B
layoutFrame(This::wxLayoutAlgorithm(), Frame::wxFrame() (see module wxFrame), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {mainWindow, wxWindow() (see module wxWindow)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlayoutalgorithm\&.html#wxlayoutalgorithmlayoutframe>\&.
.RE
.LP
.B
layoutMDIFrame(This::wxLayoutAlgorithm(), Frame::wxMDIParentFrame() (see module wxMDIParentFrame)) -> bool()
.br
.RS
.LP
Equivalent to layoutMDIFrame(This, Frame, [])\&.
.RE
.LP
.B
layoutMDIFrame(This::wxLayoutAlgorithm(), Frame::wxMDIParentFrame() (see module wxMDIParentFrame), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {rect, {X::integer(), Y::integer(), W::integer(), H::integer()}}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlayoutalgorithm\&.html#wxlayoutalgorithmlayoutmdiframe>\&.
.RE
.LP
.B
layoutWindow(This::wxLayoutAlgorithm(), Frame::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to layoutWindow(This, Frame, [])\&.
.RE
.LP
.B
layoutWindow(This::wxLayoutAlgorithm(), Frame::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {mainWindow, wxWindow() (see module wxWindow)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlayoutalgorithm\&.html#wxlayoutalgorithmlayoutwindow>\&.
.RE
.LP
.B
destroy(This::wxLayoutAlgorithm()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
